Utilisez l’API Kling Lip-Sync (POST /kling/v1/videos/identify-face) pour détecter les visages dans une vidéo et piloter des workflows précis de génération vidéo en synchronisation labiale.
curl --request POST \
--url https://api.cometapi.com/kling/v1/videos/identify-face \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"video_url": "https://replicate.delivery/xezq/lZfr3rskBEVLDCytear4lUo92fOpAcoblFWzk6e06WEnC3PTB/tmpny051d_c.mp4"
}
'{
"code": 123,
"message": "<string>",
"request_id": "<string>",
"data": {
"session_id": "<string>",
"face_data": [
{
"face_id": "<string>",
"face_image": "<string>",
"start_time": 123,
"end_time": 123
}
]
}
}session_id qui regroupe le résultat actuel de détection des visagesface_data contenant un ou plusieurs visages détectésface_id, l’image d’aperçu et la plage temporelleBearer token authentication. Use your CometAPI key.
Public URL of the video to analyze for face identification.
curl --request POST \
--url https://api.cometapi.com/kling/v1/videos/identify-face \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"video_url": "https://replicate.delivery/xezq/lZfr3rskBEVLDCytear4lUo92fOpAcoblFWzk6e06WEnC3PTB/tmpny051d_c.mp4"
}
'{
"code": 123,
"message": "<string>",
"request_id": "<string>",
"data": {
"session_id": "<string>",
"face_data": [
{
"face_id": "<string>",
"face_image": "<string>",
"start_time": 123,
"end_time": 123
}
]
}
}